PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
PRFC1155_ObjectSyntax Class Reference

`#include <rfc1155.h>`

Inherits PASN_Choice.

## Public Member Functions
| PRFC1155_ObjectSyntax (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator PRFC1155_SimpleSyntax & ()
| operator const PRFC1155_SimpleSyntax & () const
| operator PRFC1155_ApplicationSyntax & ()
| operator const PRFC1155_ApplicationSyntax & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Constructor & Destructor Documentation

PRFC1155_ObjectSyntax::PRFC1155_ObjectSyntax | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass`
| ) |  |

## Member Function Documentation

PObject* PRFC1155_ObjectSyntax::Clone | ( |  | ) | const

PBoolean PRFC1155_ObjectSyntax::CreateObject | ( |  | ) |

PRFC1155_ObjectSyntax::operator const PRFC1155_ApplicationSyntax & | ( |  | ) | const

PRFC1155_ObjectSyntax::operator const PRFC1155_SimpleSyntax & | ( |  | ) | const

PRFC1155_ObjectSyntax::operator PRFC1155_ApplicationSyntax & | ( |  | ) |

PRFC1155_ObjectSyntax::operator PRFC1155_SimpleSyntax & | ( |  | ) |

The documentation for this class was generated from the following file:

- rfc1155.h